v5.0
get
/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/shipments/{shipmentId}
Retrieves shipment containing source and destination locations by shipment ID. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
shipmentId(required): string(uuid)
ID of the shipment.Example:
89EE76326E984B548D594D592E5C7FC2 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
D313327EF13845169A8ADADDA435431E
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentTO
Type:
Show Source
object-
createdDate: string
(date-time)
Shipment creation date.
-
destinationId: string
(uuid)
Destination ID.
-
destinationName: string
Destination name.Example:
Site Houston -
destinationShortName: string
Destination short name.Example:
st_hstn -
isDepotShipment: boolean
Depot shipment indicator.Example:
true -
kitCountsByStatusId: object
Kit Counts By Status ID
Title:
Kit Counts By Status IDAdditional Properties Allowed: Kit Counts By Status IDMap of kit counts grouped by status ID. -
lastStatusUpdateDate: string
(date-time)
Title:
Last Status Update DateLast status update date of the shipment. -
orderType: string
Order type (Manual or Resupply).Example:
Manual -
originId: string
(uuid)
Origin ID.
-
originName: string
Origin name.Example:
Depot Houston -
originShortName: string
Origin short name.Example:
dpt_hstn -
quarantineKitCount: number
(Integer)
Number of kits in quarantine on the shipment.Example:
10 -
reconciliation: boolean
Indicates whether kit reconciliation is included.Example:
true -
reportId: string
(uuid)
Report ID.
-
shipDate: string
(date-time)
Ship date.
-
shipmentId: string
Shipment ID.Example:
B1B8327AFAA6412287106192AB5984EF -
shipmentNumber: string
Shipment number.Example:
123 -
shipmentReceivedDate: string
(date-time)
Title:
Shipment received dateShipment received date. -
shipmentRegisteredDate: string
(date-time)
Title:
Shipment registered dateShipment registered date. -
statusId: number
(Integer)
Shipment status ID.Example:
5 -
trackingNumber: string
Shipment tracking number.Example:
12345 -
trackingNumberURL: string
Tracking URL.Example:
http://www.site.com
Nested Schema : Kit Counts By Status ID
Type:
objectTitle:
Kit Counts By Status IDAdditional Properties Allowed
Show Source
-
integer(int64)
Title:
Kit Counts By Status IDMap of kit counts grouped by status ID.
Map of kit counts grouped by status ID.
Examples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Root Schema : DesignerResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
500 Response
Internal server error
Root Schema : DesignerResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples